CREATE DATABASE  IF NOT EXISTS `egat_global` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;
USE `egat_global`;
-- MySQL dump 10.13  Distrib 8.0.22, for Win64 (x86_64)
--
-- Host: 127.0.0.1    Database: egat_global
-- ------------------------------------------------------
-- Server version	8.0.22

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `motor_dcn_connection`
--

DROP TABLE IF EXISTS `motor_dcn_connection`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `motor_dcn_connection` (
  `dcn_instance_id` int unsigned NOT NULL,
  `input_channel_no` tinyint unsigned NOT NULL,
  `motor_instance_id` int unsigned NOT NULL,
  `motor_signal_type` enum('current_1','current_2','current_3','voltage_1','voltage_2','voltage_3','bearing_temp','vibration_1','vibration_2','vibration_3','vibration_4','vibration_5','vibration_6','vibration_7','vibration_8') NOT NULL,
  `min_value` double NOT NULL,
  `max_value` double NOT NULL,
  `operating_bit_per_sample` tinyint unsigned NOT NULL,
  `operating_sample_per_sec` int unsigned NOT NULL,
  `operating_win2win_interval_sec` double NOT NULL,
  PRIMARY KEY (`dcn_instance_id`,`input_channel_no`),
  KEY `motor_instance_id` (`motor_instance_id`),
  CONSTRAINT `motor_dcn_connection_ibfk_1` FOREIGN KEY (`dcn_instance_id`) REFERENCES `dcn_instance` (`dcn_instance_id`),
  CONSTRAINT `motor_dcn_connection_ibfk_2` FOREIGN KEY (`motor_instance_id`) REFERENCES `motor_instance` (`motor_instance_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `motor_dcn_connection`
--

LOCK TABLES `motor_dcn_connection` WRITE;
/*!40000 ALTER TABLE `motor_dcn_connection` DISABLE KEYS */;
INSERT INTO `motor_dcn_connection` VALUES (1,0,1,'current_1',-300,300,12,1000,10),(1,1,1,'current_2',-300,300,12,1000,10),(1,2,1,'current_3',-300,300,12,1000,10),(1,3,1,'voltage_1',-5000,5000,12,1000,10),(1,4,1,'voltage_2',-5000,5000,12,1000,10),(1,5,1,'voltage_3',-5000,5000,12,1000,10),(1,6,1,'bearing_temp',-10,120,12,1,10),(1,7,1,'vibration_1',-20,20,12,1,10),(2,0,2,'vibration_1',-20,20,12,1,10),(2,1,2,'vibration_2',-20,20,12,1,10),(2,2,2,'vibration_3',-20,20,12,1,10),(2,3,2,'vibration_4',-20,20,12,1,10),(2,4,2,'vibration_5',-20,20,12,1,10),(2,5,2,'vibration_6',-20,20,12,1,10);
/*!40000 ALTER TABLE `motor_dcn_connection` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2020-11-06 18:40:07
