CREATE DATABASE  IF NOT EXISTS `egat_global` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;
USE `egat_global`;
-- MySQL dump 10.13  Distrib 8.0.22, for Win64 (x86_64)
--
-- Host: 127.0.0.1    Database: egat_global
-- ------------------------------------------------------
-- Server version	8.0.22

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `motor_instance`
--

DROP TABLE IF EXISTS `motor_instance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `motor_instance` (
  `motor_instance_id` int unsigned NOT NULL AUTO_INCREMENT,
  `motor_class_id` int unsigned NOT NULL,
  `egat_sn` varchar(32) DEFAULT NULL,
  `manufac_sn` varchar(32) DEFAULT NULL,
  `loc_power_plant_id` int unsigned NOT NULL,
  `loc_room_description_thai` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `remarks` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  PRIMARY KEY (`motor_instance_id`),
  UNIQUE KEY `egat_sn` (`egat_sn`),
  UNIQUE KEY `manufac_sn` (`manufac_sn`),
  KEY `motor_class_id` (`motor_class_id`),
  KEY `loc_power_plant_id` (`loc_power_plant_id`),
  CONSTRAINT `motor_instance_ibfk_1` FOREIGN KEY (`motor_class_id`) REFERENCES `motor_class` (`motor_class_id`),
  CONSTRAINT `motor_instance_ibfk_2` FOREIGN KEY (`loc_power_plant_id`) REFERENCES `power_plant` (`power_plant_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `motor_instance`
--

LOCK TABLES `motor_instance` WRITE;
/*!40000 ALTER TABLE `motor_instance` DISABLE KEYS */;
INSERT INTO `motor_instance` VALUES (1,1,'EGAT SN XXX-X','123-456',1,'ไม่มีห้องเก็บ เป็นมอเตอร์ซึ่งทำหลอกเพื่อทดสอบ','ใช้ทดสอบระบบ'),(2,1,'EGAT SN 000-0','000-000',1,'ไม่มีห้องเก็บ เป็นมอเตอร์ซึ่งทำหลอกเพื่อทดสอบ','ใช้ทดสอบระบบ');
/*!40000 ALTER TABLE `motor_instance` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2020-11-06 18:40:07
