CREATE DATABASE  IF NOT EXISTS `egat_global` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;
USE `egat_global`;
-- MySQL dump 10.13  Distrib 8.0.22, for Win64 (x86_64)
--
-- Host: 127.0.0.1    Database: egat_global
-- ------------------------------------------------------
-- Server version	8.0.22

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `zoning_rule`
--

DROP TABLE IF EXISTS `zoning_rule`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `zoning_rule` (
  `zoning_rule_id` int unsigned NOT NULL AUTO_INCREMENT,
  `motor_signal_type` enum('current_1','current_2','current_3','voltage_1','voltage_2','voltage_3','bearing_temp','vibration_1','vibration_2','vibration_3','vibration_4','vibration_5','vibration_6','vibration_7','vibration_8') NOT NULL,
  `zoning_type` enum('down','middle','up') NOT NULL,
  `lookback_duration_in_sec` int unsigned NOT NULL,
  `a` double NOT NULL,
  `b` double NOT NULL,
  `c` double DEFAULT NULL,
  `d` double DEFAULT NULL,
  `description_thai` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  PRIMARY KEY (`zoning_rule_id`),
  UNIQUE KEY `motor_signal_type` (`motor_signal_type`,`zoning_type`,`a`,`b`,`c`,`d`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `zoning_rule`
--

LOCK TABLES `zoning_rule` WRITE;
/*!40000 ALTER TABLE `zoning_rule` DISABLE KEYS */;
INSERT INTO `zoning_rule` VALUES (1,'current_1','middle',86400,-285,-275,275,285,'Made by Watcharapan for testing purposes'),(2,'current_2','middle',86400,-285,-275,275,285,'Made by Watcharapan for testing purposes'),(3,'current_3','middle',86400,-285,-275,275,285,'Made by Watcharapan for testing purposes'),(4,'voltage_1','middle',86400,-4600,-4200,4200,4600,'Made by Watcharapan for testing purposes'),(5,'voltage_2','middle',86400,-4600,-4200,4200,4600,'Made by Watcharapan for testing purposes'),(6,'voltage_3','middle',86400,-4600,-4200,4200,4600,'Made by Watcharapan for testing purposes'),(7,'bearing_temp','down',86400,50,80,NULL,NULL,'Made by Watcharapan for testing purposes'),(8,'vibration_1','up',86400,-10,0,NULL,NULL,'Made by Watcharapan for testing purposes'),(9,'vibration_2','up',86400,-10,0,NULL,NULL,'Made by Watcharapan for testing purposes'),(10,'vibration_3','up',86400,-10,0,NULL,NULL,'Made by Watcharapan for testing purposes'),(11,'vibration_4','up',86400,-10,0,NULL,NULL,'Made by Watcharapan for testing purposes'),(12,'vibration_5','up',86400,-10,0,NULL,NULL,'Made by Watcharapan for testing purposes'),(13,'vibration_6','up',86400,-10,0,NULL,NULL,'Made by Watcharapan for testing purposes'),(14,'vibration_7','up',86400,-10,0,NULL,NULL,'Made by Watcharapan for testing purposes'),(15,'vibration_8','up',86400,-10,0,NULL,NULL,'Made by Watcharapan for testing purposes');
/*!40000 ALTER TABLE `zoning_rule` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2020-11-06 18:40:08
